package com.ruoyi.web.v1.model;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 检查项目对象 inspection_item
 * 
 * @author coede
 * @date 2025-03-19
 */
public class InspectionItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String itemName;

    /** 检查结果 */
    @Excel(name = "检查结果")
    private String result;

    /** 删除标志 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setItemName(String itemName) 
    {
        this.itemName = itemName;
    }

    @NotBlank(message = "项目名称不能为空")
    @Size(min = 1, max = 10, message = "项目名称输入超出最大长度限制（10位）")
    public String getItemName() 
    {
        return itemName;
    }

    public void setResult(String result)
    {
        this.result = result;
    }

    @NotBlank(message = "检查结果不能为空")
    @Size(min = 1, max = 1000, message = "全部检查结果输入超出最大长度限制（1000位）")
    public String getResult()
    {
        return result;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("itemName", getItemName())
            .append("remark", getRemark())
            .append("result", getResult())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
